summaryrefslogtreecommitdiffstats
path: root/ci/launch_docker_container.sh
diff options
context:
space:
mode:
authormbeierl <mark.beierl@dell.com>2017-01-26 11:30:26 -0500
committermbeierl <mark.beierl@dell.com>2017-01-26 11:45:50 -0500
commit3d41a65738c44c2859ec9bdba11a0c0714b62b14 (patch)
treedd3401b659272b77543702d3baeac8d02fa9a9a8 /ci/launch_docker_container.sh
parent29cab6cd9d6e669c74a1dd6960aba8250f539c2f (diff)
Hardening FIO interaction
Fixes a problem where FIO does not terminate by scheduling a second killall if we get a specific message back from FIO stderr. Introduces a new flavor for StorPerf that has a little more memory as larger memory maps for duplicate blocks sometimes caused out of memory killer to be invoked. Change-Id: I06856561ad73fef582a81d4136a36a1bea47654a JIRA: STORPERF-99 Signed-off-by: mbeierl <mark.beierl@dell.com>
Diffstat (limited to 'ci/launch_docker_container.sh')
-rwxr-xr-xci/launch_docker_container.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/ci/launch_docker_container.sh b/ci/launch_docker_container.sh
index 13cfe04..b119946 100755
--- a/ci/launch_docker_container.sh
+++ b/ci/launch_docker_container.sh
@@ -36,5 +36,10 @@ docker run -d --env-file `pwd`/job/admin.rc \
-p 8000:8000 \
-v `pwd`/job/carbon:/opt/graphite/storage/whisper \
--name storperf opnfv/storperf
+# -v `pwd`/../../storperf:/home/opnfv/repos/storperf \
-
+echo "Waiting for StorPerf to become active"
+while [ $(curl -X GET 'http://127.0.0.1:5000/api/v1.0/configurations' > /dev/null 2>&1;echo $?) -ne 0 ]
+do
+ sleep 1
+done